Package robocode.control

## Class RobotSetup

- java.lang.Object
- - robocode.control.RobotSetup

All Implemented Interfaces:
  `java.io.Serializable`

    public class RobotSetup
    extends java.lang.Object
    implements java.io.Serializable

Contains the initial position and heading for a robot.

Since:
  1.9.2.0
Author:
  Flemming N. Larsen (original)
See Also:
  Serialized Form

### Constructor Summary

Constructors
`RobotSetup​(java.lang.Double x, java.lang.Double y, java.lang.Double heading)` Constructs a new RobotSetup.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Double` `getHeading()` Returns the body, gun, and radar heading (in degrees).
`java.lang.Double` `getX()` Returns the x coordinate.
`java.lang.Double` `getY()` Returns the y coordinate.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RobotSetup

    public RobotSetup​(java.lang.Double x,
                      java.lang.Double y,
                      java.lang.Double heading)

Constructs a new RobotSetup.

Parameters:
  `x` - is the x coordinate, where `null` means random.
  `y` - is the y coordinate, where `null` means random.
  `heading` - is the heading in degrees of the body, gun, and radar, where `null` means random.

### Method Detail

#### getX

    public java.lang.Double getX()

Returns the x coordinate.

Returns:
  the x coordinate, where `null` means unspecified (random).

#### getY

    public java.lang.Double getY()

Returns the y coordinate.

Returns:
  the y coordinate, where `null` means unspecified (random).

#### getHeading

    public java.lang.Double getHeading()

Returns the body, gun, and radar heading (in degrees).

Returns:
  the heading (in degrees), where `null` means unspecified (random).